libstdc++

Public Types | Public Member Functions | List of all members
__gnu_cxx::malloc_allocator< _Tp > Class Template Reference
Allocators

## Public Types

typedef const _Tp * | const_pointer
typedef const _Tp & | const_reference
typedef ptrdiff_t | difference_type
typedef _Tp * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef _Tp & | reference
typedef size_t | size_type
typedef _Tp | value_type

## Public Member Functions

| malloc_allocator (const malloc_allocator &) noexcept
template<typename _Tp1 >
| malloc_allocator (const malloc_allocator< _Tp1 > &) noexcept
pointer | address (reference __x) const noexcept
const_pointer | address (const_reference __x) const noexcept
pointer | allocate (size_type __n, const void *=0)
template<typename _Up , typename... _Args>
void | construct (_Up *__p, _Args &&...__args)
void | deallocate (pointer __p, size_type)
template<typename _Up >
void | destroy (_Up *__p)
size_type | max_size () const noexcept

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::malloc_allocator< _Tp >

An allocator that uses malloc.

This is precisely the allocator defined in the C++ Standard.

- all allocation calls malloc
- all deallocation calls free

Definition at line 56 of file malloc_allocator.h.

The documentation for this class was generated from the following file:

- malloc_allocator.h